# QwtTextLabel Class Reference

Inheritance diagram for QwtTextLabel:

[legend]
List of all members.

## Detailed Description

A Widget which displays a QwtText.

Definition at line 25 of file qwt_text_label.h.

## Public Slots

void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
virtual void | setText (const QwtText &)
void | clear ()

## Public Member Functions

| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
const QwtText & | text () const
int | indent () const
void | setIndent (int)
int | margin () const
void | setMargin (int)
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
virtual int | heightForWidth (int) const
QRect | textRect () const

## Protected Member Functions

virtual void | paintEvent (QPaintEvent *e)
virtual void | drawContents (QPainter *)
virtual void | drawText (QPainter *, const QRect &)

## Constructor & Destructor Documentation

QwtTextLabel::QwtTextLabel | ( | QWidget * | parent = `NULL` | ) | `[explicit]`

Constructs an empty label.

Parameters:

  | parent | Parent widget

Definition at line 36 of file qwt_text_label.cpp.

QwtTextLabel::QwtTextLabel | ( | const QwtText & | text,
|  | QWidget * | parent = `NULL` |
| ) |  |  | `[explicit]`

Constructs a label that displays the text, text

Parameters:

  | parent | Parent widget
  | text | Text

Definition at line 60 of file qwt_text_label.cpp.

References text().

QwtTextLabel::~QwtTextLabel | ( |  | ) | `[virtual]`

Destructor.

Definition at line 68 of file qwt_text_label.cpp.

## Member Function Documentation

void QwtTextLabel::setText | ( | const QString & | text,
|  | QwtText::TextFormat | textFormat = `QwtText::AutoText` |
| ) |  |  | `[slot]`

Change the label's text, keeping all other QwtText attributes

Parameters:

  | text | New text
  | textFormat | Format of text

See also:
  QwtText

Definition at line 86 of file qwt_text_label.cpp.

Referenced by QwtLegendItem::setText().

void QwtTextLabel::setText | ( | const QwtText & | text | ) | `[virtual, slot]`

Change the label's text

Parameters:

  | text | New text

Reimplemented in QwtLegendItem.

Definition at line 98 of file qwt_text_label.cpp.

References text().

void QwtTextLabel::clear | ( |  | ) | `[slot]`

Clear the text and all QwtText attributes.

Definition at line 113 of file qwt_text_label.cpp.

const QwtText & QwtTextLabel::text | ( |  | ) | const

Return the text.

Definition at line 107 of file qwt_text_label.cpp.

Referenced by QwtLegendItem::drawItem(), QwtPlot::printTitle(), QwtLegendItem::QwtLegendItem(), QwtTextLabel(), QwtPlotPrintFilter::reset(), setText(), and QwtLegendItem::setText().

int QwtTextLabel::indent | ( |  | ) | const

Return label's text indent in pixels.

Definition at line 122 of file qwt_text_label.cpp.

Referenced by heightForWidth(), minimumSizeHint(), and textRect().

void QwtTextLabel::setIndent | ( | int | indent | ) |

Set label's text indent in pixels

Parameters:

  | indent | Indentation in pixels

Definition at line 131 of file qwt_text_label.cpp.

Referenced by QwtLegendItem::setIdentfierWidth(), and QwtLegendItem::setSpacing().

int QwtTextLabel::margin | ( |  | ) | const

Return label's text indent in pixels.

Definition at line 143 of file qwt_text_label.cpp.

Referenced by drawContents(), QwtLegendItem::drawItem(), QwtLegendItem::paintEvent(), QwtLegendItem::setIdentfierWidth(), and QwtLegendItem::setSpacing().

void QwtTextLabel::setMargin | ( | int | margin | ) |

Set label's margin in pixels

Parameters:

  | margin | Margin in pixels

Definition at line 152 of file qwt_text_label.cpp.

Referenced by QwtLegendItem::setItemMode().

QSize QwtTextLabel::sizeHint | ( |  | ) | const`[virtual]`

Return label's margin in pixels.

Reimplemented in QwtLegendItem.

Definition at line 161 of file qwt_text_label.cpp.

References minimumSizeHint().

Referenced by QwtLegendItem::sizeHint().

QSize QwtTextLabel::minimumSizeHint | ( |  | ) | const`[virtual]`

Return a minimum size hint.

Definition at line 167 of file qwt_text_label.cpp.

References indent().

Referenced by sizeHint().

int QwtTextLabel::heightForWidth | ( | int | width | ) | const`[virtual]`

Returns the preferred height for this widget, given the width.

Parameters:

  | width | Width

Definition at line 196 of file qwt_text_label.cpp.

References indent().

QRect QwtTextLabel::textRect | ( |  | ) | const

Calculate the rect for the text in widget coordinates

Returns:
  Text rect

Definition at line 279 of file qwt_text_label.cpp.

References indent().

Referenced by drawContents().

void QwtTextLabel::paintEvent | ( | QPaintEvent * | e | ) | `[protected, virtual]`

Qt paint event.

Reimplemented in QwtLegendItem.

Definition at line 218 of file qwt_text_label.cpp.

References drawContents().

void QwtTextLabel::drawContents | ( | QPainter * |  | ) | `[protected, virtual]`

Redraw the text and focus indicator.

Definition at line 241 of file qwt_text_label.cpp.

References QwtPainter::drawFocusRect(), drawText(), margin(), and textRect().

Referenced by paintEvent(), and QwtLegendItem::paintEvent().

void QwtTextLabel::drawText | ( | QPainter * | ,
|  | const QRect & |  |
| ) |  |  | `[protected, virtual]`

Redraw the text.

Reimplemented in QwtLegendItem.

Definition at line 270 of file qwt_text_label.cpp.

Referenced by drawContents(), and QwtLegendItem::drawText().